package com.onespan.reportingtool.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class DateUtil {
    public static Date addDays(Date date, int days)
    {
        Calendar cal = Calendar.getInstance();
        cal.setTime(date);
        cal.add(Calendar.DATE, days); //minus number would decrement the days
        return cal.getTime();
    }
    
    public static String addDays4String(String date, int days) {
    	SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
    	Date myDate;
		try {
			myDate = format.parse(date);
			return (String)format.format(addDays(myDate, days));
		} catch (ParseException e) {
			e.printStackTrace();
			return null;
		}
    }
    
}
