package com.onespan.reportingtool.view;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JPanel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;

public class OSSProxyPanel extends JPanel {
	public JTextField proxyScript,proxyAddress,proxyPort,proxy_username;
	public JPasswordField proxy_pwd;
	private MyLabel lblProxyPort,lblAutomaticProxyScript,lblProxyAddress,lblUsernameoptional,lblPasswordoptional;
	public MyRadioButton rdbtnNoProxy,rdbtnProxyHost,rdbtnProxyAutomaticScript;
	
	public OSSProxyPanel() {
		this.setBounds(0, 0, 630, 214);
		this.setLayout(null);
		
		rdbtnNoProxy = new MyRadioButton("no_proxy");
		rdbtnNoProxy.setBounds(24, 22, 159, 50);
		this.add(rdbtnNoProxy);
		
		rdbtnProxyHost = new MyRadioButton("proxy_manual_setup");
		rdbtnProxyHost.setBounds(185, 22, 243, 50);
		this.add(rdbtnProxyHost);
				
		rdbtnProxyAutomaticScript = new MyRadioButton("proxy_automatic_script");
		rdbtnProxyAutomaticScript.setBounds(430, 22, 200, 50);
		this.add(rdbtnProxyAutomaticScript);
		
		proxyScript = new JTextField();
		proxyScript.setBounds(174, 86, 433, 29);
		this.add(proxyScript);
		proxyScript.setColumns(10);
				
		proxyAddress = new JTextField();
		proxyAddress.setBounds(24, 126, 261, 29);
		this.add(proxyAddress);
		proxyAddress.setColumns(10);
						
		proxyPort = new JTextField();
		proxyPort.setBounds(326, 126, 61, 29);
		this.add(proxyPort);
		proxyPort.setColumns(10);
		
										
		lblProxyPort = new MyLabel("proxy_port");
		lblProxyPort.setBounds(322, 79, 169, 43);
		this.add(lblProxyPort);
		
		lblAutomaticProxyScript = new MyLabel("script_address");
		lblAutomaticProxyScript.setBounds(24, 79, 169, 43);
		this.add(lblAutomaticProxyScript);
		
		lblProxyAddress = new MyLabel("proxy_address");
		lblProxyAddress.setBounds(24, 79, 169, 43);
		this.add(lblProxyAddress);
		
		lblUsernameoptional = new MyLabel("proxy_username");
		lblUsernameoptional.setBounds(24, 175, 159, 14);
		add(lblUsernameoptional);
		
		proxy_username = new JTextField();
		proxy_username.setBounds(141, 168, 144, 29);
		add(proxy_username);
		proxy_username.setColumns(10);
		
		proxy_pwd = new JPasswordField();
		proxy_pwd.setColumns(10);
		proxy_pwd.setBounds(463, 168, 144, 29);
		add(proxy_pwd);
		
		lblPasswordoptional = new MyLabel("proxy_password");
		lblPasswordoptional.setBounds(336, 175, 165, 14);
		add(lblPasswordoptional);
		lblProxyAddress.setVisible(false);
		lblAutomaticProxyScript.setVisible(false);
		lblProxyPort.setVisible(false);
		proxyPort.setVisible(false);
		proxyAddress.setVisible(false);
		proxyScript.setVisible(false);
		proxy_pwd.setVisible(false);
		proxy_username.setVisible(false);
				
		rdbtnProxyAutomaticScript.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if(rdbtnProxyAutomaticScript.isSelected()) {
					rdbtnProxyHost.setSelected(false);
					rdbtnNoProxy.setSelected(false);
					rdbtnNoProxy.setEnabled(true);

					lblProxyAddress.setVisible(false);
					lblProxyPort.setVisible(false);
					proxyAddress.setVisible(false);
					proxyPort.setVisible(false);
					lblAutomaticProxyScript.setVisible(true);
					proxyScript.setVisible(true);
					
					
					lblPasswordoptional.setVisible(true);
					lblUsernameoptional.setVisible(true);
					proxy_username.setVisible(true);
					proxy_pwd.setVisible(true);
				}
			}
		});
		
		rdbtnProxyHost.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if(rdbtnProxyHost.isSelected()) {
					rdbtnProxyAutomaticScript.setSelected(false);
					rdbtnNoProxy.setSelected(false);
					rdbtnNoProxy.setEnabled(true);

					lblProxyAddress.setVisible(true);
					lblProxyPort.setVisible(true);
					proxyAddress.setVisible(true);
					proxyPort.setVisible(true);
					lblAutomaticProxyScript.setVisible(false);
					proxyScript.setVisible(false);
					
					lblPasswordoptional.setVisible(true);
					lblUsernameoptional.setVisible(true);
					proxy_username.setVisible(true);
					proxy_pwd.setVisible(true);
				}
			}
		});
		
		rdbtnNoProxy.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if(rdbtnNoProxy.isSelected()) {
					rdbtnNoProxy.setEnabled(false);
					rdbtnProxyHost.setSelected(false);
					rdbtnProxyAutomaticScript.setSelected(false);

					lblProxyAddress.setVisible(false);
					lblProxyPort.setVisible(false);
					proxyAddress.setVisible(false);
					proxyPort.setVisible(false);
					lblAutomaticProxyScript.setVisible(false);
					proxyScript.setVisible(false);
					
					
					lblPasswordoptional.setVisible(false);
					lblUsernameoptional.setVisible(false);
					proxy_username.setVisible(false);
					proxy_pwd.setVisible(false);
				}
			}
		});
		rdbtnNoProxy.doClick();
	}

	public void setLocaleText() {
		lblProxyPort.setText();
		lblAutomaticProxyScript.setText();
		lblProxyAddress.setText();
		lblUsernameoptional.setText();
		lblPasswordoptional.setText();
		rdbtnNoProxy.setText();
		rdbtnProxyHost.setText();
		rdbtnProxyAutomaticScript.setText();
	}

}
