package com.onespan.reportingtool.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Getter@Setter@AllArgsConstructor@NoArgsConstructor@ToString
public class ReportVo {
	
	public enum DOWNLOAD_STATUS {
		YES, NO
	}
	
	@ReportColumnName("account_id")
	private String AccountId                    ;
	
	@ReportColumnName("account_name")
	private String AccountName                  ;
	
	@ReportColumnName("account_email")
	private String AccountEmail                 ;

	@ReportColumnName("transaction_id")
	private String TransactionID                ;

	@ReportColumnName("transaction_url")
	private String TransactionURL               ;

	@ReportColumnName("days_left")
	private String DaysLeft                     ;
	
	@ReportColumnName("sender_email")
	private String SenderEmail                  ;

	@ReportColumnName("sender_name")
	private String SenderName                   ;

	@ReportColumnName("signer_email")
	private String SignerEmail                  ;

	@ReportColumnName("signer_name")
	private String SignerName                   ;

	@ReportColumnName("signer_mobile")
	private String SignerMobile                 ;

	@ReportColumnName("download_status")
	private String DownloadStatus               ;

	@ReportColumnName("not_downloaded_document_list")
	private String NotDownloadedDocumentList    ;
	
	@ReportColumnName("completed_date")
	private String CompletedDate                ;

	@ReportColumnName("latest_update_date")
	private String LatestUpdatedDate            ;
	
	@ReportColumnName("retain_until")
	private String RetainUntil                  ;

}
