package com.onespan.reportingtool.service;

import com.onespan.reportingtool.data.UserData;
import com.onespan.reportingtool.vo.AccountVo;

public class EndpointService {
	private static EndpointService endpointService;

	private EndpointService() {
	}

	public static EndpointService getInstance() {
		return endpointService == null ? new EndpointService() : endpointService;
	}

	/**
	 * STEP1: inject owner credential STEP2: inject sender credentials
	 * 
	 * @throws Exception
	 */
	public void testConnection() throws Exception {
		try {
			// get auth token
			getAccessToken();
		} catch (Exception e) {
			throw e;
		}
	}

	public void getAccessToken() throws Exception {
		SenderService senderService = SenderService.getInstance();
		AccountVo accountVo = UserData.ownerCredential;
		try {
			UserData.ownerCredential = senderService.injectAccountVo(
					UserData.baseUrl + "/apitoken/clientApp/accessToken", accountVo);
		} catch (Exception e) {
			throw e;
		}
	}

}
