package com.onespan.reportingtool.utils;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

public class FileUtil {

	public static void writeByte(byte[] bytes, String fileLocation) throws IOException {
		OutputStream opStream = null;
		try {
			File myFile = new File(fileLocation);
			// check if file exist, otherwise create the file before writing
			if (!myFile.exists()) {
				myFile.createNewFile();
			}
			opStream = new FileOutputStream(myFile);
			
			
			opStream.write(239);
			opStream.write(187);
			opStream.write(191);
			
			
			opStream.write(bytes);
			opStream.flush();
		} catch (IOException e) {
			throw e;
		} finally {
			try {
				if (opStream != null)
					opStream.close();
			} catch (Exception ex) {
				throw ex;
			}
		}
	}
	
	
	
	public static String validateFileName(String inputName) {
		return inputName.replaceAll("[\\\\/:*?\"<>|]", "_"); // replace invalid characters
	}
}
