package com.onespan.reportingtool.utils;

import static com.onespan.reportingtool.vo.AccountVo.CredentialType.API_KEY;
import static com.onespan.reportingtool.vo.AccountVo.CredentialType.CLIENT_APP_ID_SECRET;

import java.net.HttpURLConnection;

import com.onespan.reportingtool.vo.AccountVo;

public class HttpURLConnectionUtil {

	public static HttpURLConnection addCredential(HttpURLConnection conn, AccountVo accountVo) {
		if (accountVo.getCredentialType() == API_KEY) {
			conn.setRequestProperty("Authorization", "Basic " + accountVo.getCredential());
		} else if (accountVo.getCredentialType() == CLIENT_APP_ID_SECRET) {
			conn.setRequestProperty("Authorization", "Bearer " + accountVo.getCredential());
		}
		return conn;
	}

}
