package com.onespan.reportingtool.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter@Setter@AllArgsConstructor@NoArgsConstructor
public class AccountVo {
	
	public enum CredentialType {
		API_KEY, CLIENT_APP_ID_SECRET
	}

	private CredentialType credentialType = CredentialType.CLIENT_APP_ID_SECRET;

	private String credential;
	private String appId;
	private String appSecret;
	private String apiKey;
	private String role;
	
	private String id;
	private String firstName;
	private String lastName;
	private String email;
	
	@Override
	public String toString() {
		return "AccountVo [" + ", appId=" + appId + ", appSecret=" + appSecret + "]";
	}
	
	public String getName() {
		return firstName + " " + lastName;
	}
}
