package com.onespan.reportingtool.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Getter@Setter@AllArgsConstructor@NoArgsConstructor@ToString
public class AuditEventVo {
	
	public enum TYPE {
		DOWNLOAD("Download"), 
		DOWNLOAD_ZIP("Download Zip");
		
		private final String label;

	    private TYPE(String label) {
	        this.label = label;
	    }
	    
	    public String getLabel() {
	    	return label;
	    }
	}
	private String type;
    private String user;
    private String userEmail;
    private String target;
    private String targetType;
}
