package com.onespan.reportingtool.vo;

import com.alibaba.fastjson.JSONObject;

public class HttpEntity {
    private String responseJSON;
    private int httpStatus;

    public HttpEntity(String responseJSON, int httpStatus) {
        this.responseJSON = responseJSON;
        this.httpStatus = httpStatus;
    }

    public String getResponseJSON() {
        return responseJSON;
    }

    public int getHttpStatus() {
        return httpStatus;
    }


    public void setResponseJSON(String responseJSON) {
        this.responseJSON = responseJSON;
    }

    public void setHttpStatus(int httpStatus) {
        this.httpStatus = httpStatus;
    }


    public boolean isSuccess() {
        return httpStatus >= 200 && httpStatus <= 299;
    }
}
